playground.py upgrade fails if playground/plugin interface is changed

Bug #174846 reported by Daniel Bültmann on 2007-12-08
2
Affects Status Importance Assigned to Milestone
openWNS PyWNS
High
Unassigned
openWNS SDK
High
Unassigned

Bug Description

If the interface between wnsbase.playground.Core and its plugins is changed playground.py cannot upgrade
the openwns-sdk anymore if this change results in a parse error for plugins contained in a submodule.

openwns-pywns provides a set of plugins which are installed to sandbox/default/lib/python2.4/site-packages/pywns .
The builtbot could not recover from the update/upgrade until this directory was removed by hand. After this it
seems that the new version is installed correctly and the new version of the plugin could be loaded.

This is the built that had the error:
http://buildbot.openwns.org/builders/x86_openSuSE_10.1_incremental/builds/16

Related branches

description: updated
Changed in openwns-sdk:
importance: Undecided → High
status: New → Fix Committed
Changed in openwns-pywns:
importance: Undecided → High
status: New → Fix Committed
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers